@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  GithubPasswordManager startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and GITHUB_PASSWORD_MANAGER_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\GithubPasswordManager-0.1.0.jar;%APP_HOME%\lib\github-api-1.100-SNAPSHOT.jar;%APP_HOME%\lib\tink-1.3.0-rc1.jar;%APP_HOME%\lib\json-20180813.jar;%APP_HOME%\lib\org.eclipse.jgit-4.0.1.201506240215-r.jar;%APP_HOME%\lib\jackson-dataformat-yaml-2.5.1.jar;%APP_HOME%\lib\jackson-databind-2.10.0.jar;%APP_HOME%\lib\httpclient-4.1.3.jar;%APP_HOME%\lib\commons-codec-1.13.jar;%APP_HOME%\lib\commons-lang3-3.9.jar;%APP_HOME%\lib\commons-io-2.2.jar;%APP_HOME%\lib\protobuf-java-3.8.0.jar;%APP_HOME%\lib\jsch-0.1.51.jar;%APP_HOME%\lib\JavaEWAH-0.7.9.jar;%APP_HOME%\lib\slf4j-api-1.7.2.jar;%APP_HOME%\lib\jackson-core-2.10.0.jar;%APP_HOME%\lib\snakeyaml-1.12.jar;%APP_HOME%\lib\jackson-annotations-2.10.0.jar;%APP_HOME%\lib\httpcore-4.1.4.jar;%APP_HOME%\lib\commons-logging-1.1.1.jar

@rem Execute GithubPasswordManager
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %GITHUB_PASSWORD_MANAGER_OPTS%  -classpath "%CLASSPATH%"  %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable GITHUB_PASSWORD_MANAGER_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%GITHUB_PASSWORD_MANAGER_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
